Feng 설치가이드

from Info/Tools 2009/02/25 16:11 view 60357

// 대략 정리 한거...make 도중 에러가 나면 configure 에서 버젼을 낮춰주거나 소스를 살짝 고치는 수고(매개변수,NULL->0)도 해야함 ..Fedora에선 잘안됨.CentOS가 잘됨..

// git 나 wget 으로 소스 못 받아오는건 직접 홈페이지에서 받자.

feng source 설치

yum install theor*

yum install git*

yum install faad* // 못찾으면 다른 패키지에서 얻어오기..

yum install faac* //못찾으면 다른 패키지에서 얻어오기..

cd /usr/src 폴더로 이동

wget http://downloads.sourceforge.net/lame/lame-398-2.tar.gz?modtime=1222116320&big_mirror=0

압축풀고 -> ./configure -> make -> make install

yum install yasm

cd /usr/src 폴더로 이동

git clone git://git.videolan.org/x264.git

./configure --disable-asm

make

make install

cd /usr/src 폴더로 이동

wget http://ftp.penguin.cz/pub/users/utx/amr/amrnb-7.0.0.2.tar.bz2

wget http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.3.tar.bz2

둘다 압축 풀고 ./configure -> make -> make install

cp /usr/local/lib/libamrwb.so.3.0.0 /usr/lib

ln -s /usr/lib/libamrwb.so.3.0.0 /usr/lib/libamrwb.so.3

cd /usr/src 폴더로 이동

svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg

./configure --prefix=/usr --enable-static --enable-shared --enable-gpl --enable-postproc --enable-swscale --enable-pthreads --enable-libamr-nb --enable-libamr-wb --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libx264 --disable-ffserver --disable-ffplay --disable-debug --disable-network --enable-nonfree --enable-avfilter --enable-avfilter-lavf --disable-devices --disable-vhook

make

make install

-- how to install autoconf for feng library --

<< autoconf 버전 낮을 시 버전업그레이드 필요 >>

wget ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.63.tar.gz

-> download latest version

./configure -> make -> make install

-- for Client --

yum install lksctp*

yum install bison-devel

yum install mysql mysql-server mysql-devel

---- feng ---

http://www.lscube.org/ 에서 feng 과 종속라이브러리 들을 다운로드한 후 압축을 푼다.

Dependencies

cd bufferpool

/usr/local/bin/autoreconf -v -i

configure

make

make install

cd netembryo

/usr/local/bin/autoreconf -v -i

configure

make make install

cd libnemesi

/usr/local/bin/autoreconf -v -i

configure

make make install

feng을 다운받고

압축 풀고 ./configure -> vim mediathread/demuxer/demuxer_avf.c

demuxer_avf.c line 210번째 줄

props.bit_per_sample = codec->bits_per_sample;

--> props.bit_per_sample = codec->bits_per_coded_sample; 교체

실행시 feng: error while loading shared libraries: /usr/lib/libavformat.so.52: cannot restore segment prot after reloc: Permission denied

이런 종류 에러가 뜨면 chcon -t texrel_shlib_t /usr/lib/libavformat.so.52 이걸로 해결



이 글은 스프링노트에서 작성되었습니다.

Trackback Address :: 이 글에는 트랙백을 보낼 수 없습니다

댓글을 달아 주세요

  1. gura2013 2011/03/04 13:57  address  modify / delete  reply

    감사합니다 지금 따라서 설치중입니다~

  2. gura2013 2011/03/04 14:42  address  modify / delete  reply

    feng2.1 설치에
    의존라이브러리가 다음과같이 바꼇더군요

    glib version 2
    ffmpeg version 0.5
    netembryo
    libev

    netembryo 설치후 libev 4.04 설치가 되질않네요.흠 libtool 버전 불일이 에러인데
    autoreconf --force 로 해결이안됨.

    libtool: Version mismatch error. This is libtool 2.2.6b Debian-2.2.6b-2, but the
    libtool: definition of this LT_INIT comes from an older release.
    libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6b Debian-2.2.6b-2
    libtool: and run autoconf again.
    make[1]: *** [ev.lo] Error 1
    make[1]: Leaving directory `/usr/src/libev-4.04'
    make: *** [all] Error 2

    • serahero 2011/03/07 20:18  address  modify / delete

      워낙 오래전에 설치한거라 확실히 답변을 못드리겠지만
      위 같은 에러상황은 보통 Configure 파일에서 정의한 라이브러리보다 설치하려는 파일이 버젼이 낮을경우 안되더라고요.. Configure 파일에서 한번 버젼체크해보세요.

[로그인][오픈아이디란?]